Soniox
API referenceSpeech-to-TextTranscriptions

Get transcriptions

Retrieves list of transcriptions.

GET
https://api.soniox.com/v1/transcriptions

Retrieves list of transcriptions.

Headers

AuthorizationRequiredBearer <SONIOX_API_KEY>

Query parameters

limitinteger

Maximum number of transcriptions to return.

Default: 1000Minimum: 1Maximum: 1000
cursorstring

Pagination cursor for the next page of results.

Response

200

A list of transcriptions.

transcriptionsRequiredarray<object>

List of transcriptions.

next_page_cursorstring

A pagination token that references the next page of results. When more data is available, this field contains a value to pass in the cursor parameter of a subsequent request. When null, no additional results are available.

Errors

A list of transcriptions.

{
  "transcriptions": [
    {
      "id": "73d4357d-cad2-4338-a60d-ec6f2044f721",
      "status": "completed",
      "created_at": "2024-11-26T00:00:00Z",
      "model": "stt-async-preview",
      "audio_url": "https://soniox.com/media/examples/coffee_shop.mp3",
      "file_id": null,
      "filename": "coffee_shop.mp3",
      "language_hints": [
        "en",
        "fr"
      ],
      "context": "extra context for the transcription",
      "audio_duration_ms": 16079,
      "error_message": null,
      "webhook_url": "https://example.com/webhook",
      "webhook_auth_header_name": "Authorization",
      "webhook_auth_header_value": "******************",
      "webhook_status_code": null,
      "client_reference_id": "some_internal_id"
    }
  ],
  "next_page_cursor": "cursor_or_null"
}

Invalid request.

Error types:

  • invalid_cursor: The cursor parameter is invalid. Omit cursor to start pagination from the beginning.

{
  "status_code": 400,
  "error_type": "invalid_cursor",
  "message": "The `cursor` parameter is invalid. Omit `cursor` to start pagination from the beginning.",
  "validation_errors": [],
  "request_id": "3d37a3bd-5078-47ee-a369-b204e3bbedda",
  "more_info": "https://soniox.com/docs/api-reference/errors#invalid-cursor"
}

Authentication error.

{
  "status_code": 401,
  "error_type": "unauthenticated",
  "message": "Incorrect API key provided. You can get an API key at https://console.soniox.com",
  "validation_errors": [],
  "request_id": "3d37a3bd-5078-47ee-a369-b204e3bbedda",
  "more_info": "https://soniox.com/docs/api-reference/errors#unauthenticated"
}

Rate / capacity limit exceeded.

Error types:

  • limit_exceeded: The caller hit a per-minute request rate or other capacity limit. The message describes which limit was hit.

{
  "status_code": 429,
  "error_type": "limit_exceeded",
  "message": "Requests per minute limit for async transcription has been exceeded for your organization.",
  "validation_errors": [],
  "request_id": "3d37a3bd-5078-47ee-a369-b204e3bbedda",
  "more_info": "https://soniox.com/docs/api-reference/errors#limit-exceeded"
}

Internal server error.

{
  "status_code": 500,
  "error_type": "internal_error",
  "message": "The server encountered an error. Please try again. If the issue persists contact support@soniox.com.",
  "validation_errors": [],
  "request_id": "3d37a3bd-5078-47ee-a369-b204e3bbedda",
  "more_info": "https://soniox.com/docs/api-reference/errors#internal-error"
}